Subject: [saag] Request for review: NIST key transport specification

From: Tim Polk <[email-masked]>
Date: Thu, 11 Dec 2008 11:17:29 -0500

Folks,

Here is another request from NIST for document review (for SP  
800-56B, see the first paragraph in the quoted text) and a reminder  
that the comment period will close soon for the draft FIPS 186-3 and  
SP 800-102.

While I have not yet read it myself, I am particularly concerned  
about 800-56B.  This is the companion to 800-56A, which complicated  
using existing IETF protocol standards with FIPS approved  
cryptography.  I would like to avoid repeating that particular  
process!  I know this is a busy time (this will probably be my in- 
flight reading material over the holidays) but I hope that other  
IETFers will budget some time for this document.  An ounce of  
prevention, etc., etc.

> NIST requests comments on Draft SP 800-56B, Recommendation for Pair- 
> Wise Key Establishment Using Integer Factorization Cryptography.  
> This Recommendation provides the specifications of asymmetric-based  
> key agreement and key transport schemes that are based on the  
> Rivest Shamir Adleman (RSA) algorithm. The draft is available at  
> http://www.csrc.nist.gov/publications/drafts/800-56B/ 
> Draft_SP800-56B_Dec2008.pdf.. Please provide comments to  
> [email-masked] by February 12, 2009, with “Comments on SP  
> 800-56B” in the subject line.
>
> Please note that the public comments period for FIPS 186-3, the  
> Digital Signature Standard, closes on Friday, December 12, 2008.  
> The draft is available at http://www.csrc.nist.gov/publications/ 
> drafts/800-57-part3/Draft_SP800-57- 
> Part3_Recommendationforkeymanagement.pdf. Send any comments by the  
> due date, as we intend to finalize this Standard as soon as  
> possible. Please submit comments to [email-masked] with "Comments  
> on Draft 186-3" in the subject line.
>
> Also, the public comment period on SP 800-102, Recommendation for  
> Digital Signature Timeliness, closes on Friday, December 19, 2008.  
> The draft is available at http://www.csrc.nist.gov/publications/ 
> drafts/800-102/Draft_SP800-102.pdf. Please provide comments to  
> [email-masked] with “Comments on SP 800-102” in the subject line

Thanks,

Tim Polk

_______________________________________________
saag mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/saag

---

From: Paul Hoffman <[email-masked]>
Date: Thu, 11 Dec 2008 08:29:04 -0800

At 11:17 AM -0500 12/11/08, Tim Polk wrote:
>Here is another request from NIST for document review (for SP 800-56B, see the first paragraph in the quoted text) and a reminder that the comment period will close soon for the draft FIPS 186-3 and SP 800-102.

For those of you who read the title (Recommendation for Pair-Wise Key Establishment Using Integer Factorization Cryptography) and don't get the connection: it's RSA encryption, something that most security WGs use. Of particular interest should be the large number of schemes described in Section 8.

--Paul Hoffman, Director
--VPN Consortium

---

From: Derek Atkins <[email-masked]>
Date: Fri, 12 Dec 2008 20:04:28 -0500

> For those of you who read the title (Recommendation for Pair-Wise Key Establishment Using Integer Factorization Cryptography) and don't get the connection: it's RSA encryption, something that most…

Is there any particular reason that NIST decided to change the name
of every construct in this document?  Why did they invent their own
terms instead of using the existing nomenclature?  It makes it orders
of magnitude more difficult to compare this document to existing
standards (e.g. PKCS).

> --VPN Consortium

-derek

-- 
       Derek Atkins                 617-623-3745
       [email-masked]             www.ihtfp.com
       Computer and Internet Security Consultant
_______________________________________________
saag mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/saag

---

From: [email-masked] (Peter Gutmann)
Date: Sun, 14 Dec 2008 13:43:17 +1300

Derek Atkins <[email-masked]> writes:

>Is there any particular reason that NIST decided to change the name of every
>construct in this document?  Why did they invent their own terms instead of
>using the existing nomenclature?  It makes it orders of magnitude more
>difficult to compare this document to existing standards (e.g. PKCS).

It's not NIST so much, it's P1363, they've been busy standardising away in
their own pocket universe for the last 10 years or so and have created a
terminology that only makes sense to someone else trapped in their reality.
Compare RFC 2313 and RFC 2347 for an illustrative example of this, anyone
who's familiar with PKCS #1 can read 2437 and see what it's trying to say, but
only because they already know what's supposed to be there and can map from
the P1363-created terminology to what they're used to (and 2347 is only a very
mild form of P1363-itis, more recent docs like the NIST one are far, far
worse).  It's like trying to work out a restaurant menu in Cyrillic, you know
roughly what each bit of the menu corresponds to and what should be there, but
it takes a considerable amount of effort to map to it and confirm your
suspicion ("bOPW"?  Hmm, well it's under soup, so ...).

Peter.